> For the complete documentation index, see [llms.txt](https://docs.mailtrap.io/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.mailtrap.io/guides/integrations/sinatra.md).

# Sinatra

This guide shows you how to integrate Mailtrap with Sinatra and send emails using the Email API.

Before we start, you'll need to:

* [Verify your sending domain](/email-api-smtp/setup/sending-domain.md)
* [Create and save an API key](/email-api-smtp/setup/api-tokens.md)

## Send emails using Sinatra and Mailtrap

To integrate Mailtrap and send emails via Sinatra, copy the following script into your configuration:

{% code title="app.rb" %}

```ruby
require "sinatra"
require "mailtrap"

set :port, 5000
set :bind, "0.0.0.0"

get "/" do
  content_type :json

  mail = Mailtrap::Mail.from_content(
    from: { name: 'Mailtrap Test', email: 'YOUR-EMAIL-HERE' },
    to: [{ email: 'RECIPIENT-EMAIL-HERE' }],
    subject: 'Hello World',
    html: '<strong>it works!</strong>',
  )

  client = Mailtrap::Client.new(api_key: 'YOUR-MAILTRAP-API-KEY-HERE')
  response = client.send(mail)

  response.to_hash.to_json
end
```

{% endcode %}

Once you copy the script, make sure to:

* Insert your Mailtrap API token in the `api_key:` field
* Enter your email address in the `from:` field
* Enter your recipient's email address in the `to:` field

{% hint style="info" %}
To learn more about API integration, see [Mailtrap Email Sending API Integration](/email-api-smtp/setup/api-integration.md).
{% endhint %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.mailtrap.io/guides/integrations/sinatra.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
